Subscribe to chat (SSE)

Server-Sent Events stream of chat messages as this node stores them. A named account needs an ownership proof; the unfiltered firehose is operator-only.

GET
/chat/events

Query Parameters

account?string

Filter the stream to one account. Omit for the operator-only firehose.

challenge?string

Challenge from GET /chat/auth/challenge. Required when account is set.

sig?string

Hex-encoded ed25519 signature over sha256("xe/chat-read-auth/v1" || 0x00 || challengeBytes). Required when account is set.

Response Body

text/event-stream

application/json

application/json

curl -X GET "https://ldn.core.test.network/chat/events"
": connected\n\ndata: {\"id\":\"...\",\"from\":\"...\",\"to\":\"...\",\"message\":\"...\",\"timestamp\":1709500120000000000,\"signature\":\"...\",\"pow_nonce\":0}\n\n: ping\n\n"
{
  "error": "invalid signature"
}
{
  "error": "invalid signature"
}